Bug 784824 - no radio devices for kernel 3.2.1
Summary: no radio devices for kernel 3.2.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-26 11:17 UTC by Andrew Travneff
Modified: 2012-02-25 08:40 UTC (History)
5 users (show)

Fixed In Version: kernel-2.6.42.7-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-22 15:31:24 UTC


Attachments (Terms of Use)

Description Andrew Travneff 2012-01-26 11:17:33 UTC
Kernel is built without radio support (CONFIG_RADIO_ADAPTERS is not set). 
Such support was present in previous builds (3.1.9-1), for example.

Kernel version:
$ uname -imorpv
3.2.1-3.fc16.x86_64 #1 SMP Mon Jan 23 15:36:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Comment 1 Andrew Travneff 2012-02-10 11:07:18 UTC
Temporary workaround may be building just the needed module by yourself using custom makefile and linux kernel sources (same version with kernel you use).
For example (using SI470 USB device): go to drivers/media/radio/si470x folder and run a following commands there.

$ git checkout v3.2  # assuming it is a vanilla source cloned by git and currently loaded kernel is 3.2.*

$ mv Makefile Makefile.bak

$ echo -e '
radio-usb-si470x-objs := radio-si470x-usb.o radio-si470x-common.o

obj-m += radio-usb-si470x.o

KERNELDIR := /lib/modules/`uname -r`/build

ccflags-y += -DCONFIG_USB_SI470X -DCONFIG_USB_SI470X_MODULE

all:
\t$(MAKE) -C $(KERNELDIR) SUBDIRS=$(CURDIR) modules

clean:
\trm -rf *.ko *.o *.cmd .*.o.d .tmp_versions Module.* modules.order
' > Makefile

$ make

$ sudo mv -iv radio-usb-si470x.ko /lib/modules/`uname -r`/kernel/drivers/media/

$ sudo depmod -A

$ sudo modprobe radio-usb-si470x

Comment 2 Dave Jones 2012-02-17 19:57:46 UTC
re-enabled on all branches

Comment 3 Fedora Update System 2012-02-21 03:14:01 UTC
kernel-3.2.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.2.7-1.fc16

Comment 4 Fedora Update System 2012-02-21 04:11:35 UTC
kernel-2.6.42.7-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.42.7-1.fc15

Comment 5 Fedora Update System 2012-02-22 01:55:52 UTC
Package kernel-2.6.42.7-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.42.7-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2136/kernel-2.6.42.7-1.fc15
then log in and leave karma (feedback).

Comment 6 Andrew Travneff 2012-02-22 09:42:43 UTC
Kernel 3.2.7-1.fc16.x86_64 fixed subject issue. Thank you!

Comment 7 Fedora Update System 2012-02-23 02:26:10 UTC
kernel-3.2.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-02-25 08:40:18 UTC
kernel-2.6.42.7-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.